<p-table [value]="gameLog" [loading]="false" [rows]="30" [showCurrentPageReport]="true"
  [tableStyle]="{ 'min-width': '50rem' }" styleClass="" dataKey="averages.name" sortField="averages.g" [sortOrder]=-1>
  <ng-template pTemplate="caption">
    <div>
      <form *ngIf="teams && seasons" class="flex" [formGroup]="formGroup">
        <span class="p-float-label">
          <p-dropdown [style]="{ width: '11rem' }" appendTo="body" formControlName="gameFilter" [options]="gameFilter"
            placeholder="Select a Game Filter" optionLabel="name" [filter]="true"></p-dropdown>
          <label class="label-mobile" for="float-label">Filter by Game</label>
        </span>

        <span class="p-float-label">
          <p-dropdown [style]="{ width: '11rem' }" appendTo="body" formControlName="team" [options]="teams" placeholder="Select a Team"
            optionLabel="name" [filter]="true"></p-dropdown>
          <label class="label-mobile" for="float-label">Team</label>
        </span>

        <span class="p-float-label">
          <p-dropdown [style]="{ width: '11rem' }" appendTo="body" formControlName="season" [options]="seasons"
            placeholder="Select a Season"></p-dropdown>
          <label class="label-mobile" for="float-label">Season</label>
        </span>
      </form>
    </div>
  </ng-template>

  <ng-template pTemplate="header">
    <tr>
      <th style="width: 5rem"></th>
      <th pSortableColumn="averages.name" style="width:20%">Name
        <p-sortIcon field="averages.name"></p-sortIcon>
      </th>
      <th pSortableColumn="averages.g">G
        <p-sortIcon field="averages.g"></p-sortIcon>
      </th>
      <th pSortableColumn="averages.mp">Mp
        <p-sortIcon field="averages.mp"></p-sortIcon>
      </th>
      <th pSortableColumn="averages.pts">Pts
        <p-sortIcon field="averages.pts"></p-sortIcon>
      </th>
      <th pSortableColumn="averages.trb">Trb
        <p-sortIcon field="averages.trb"></p-sortIcon>
      </th>
      <th pSortableColumn="averages.drb">Drb
        <p-sortIcon field="averages.drb"></p-sortIcon>
      </th>
      <th pSortableColumn="averages.orb">Orb
        <p-sortIcon field="averages.orb"></p-sortIcon>
      </th>
      <th pSortableColumn="averages.ast">Ast
        <p-sortIcon field="averages.ast"></p-sortIcon>
      </th>
      <th pSortableColumn="averages.fg">Fg
        <p-sortIcon field="averages.fg"></p-sortIcon>
      </th>
      <th pSortableColumn="averages.fga">Fga
        <p-sortIcon field="averages.fga"></p-sortIcon>
      </th>
      <th pSortableColumn="averages.fg3">Fg3
        <p-sortIcon field="averages.fg3"></p-sortIcon>
      </th>
      <th pSortableColumn="averages.fg3a">Fg3a
        <p-sortIcon field="averages.fg3a"></p-sortIcon>
      </th>
      <th pSortableColumn="averages.ft">Ft
        <p-sortIcon field="averages.ft"></p-sortIcon>
      </th>
      <th pSortableColumn="averages.fta">Fta
        <p-sortIcon field="averages.fta"></p-sortIcon>
      </th>
    </tr>
  </ng-template>
  <ng-template pTemplate="body" let-gameLog let-expanded="expanded">
    <tr>
      <td>
        <button type="button" pButton pRipple [pRowToggler]="gameLog"
          class="p-button-text p-button-rounded p-button-plain"
          [icon]="expanded ? 'pi pi-chevron-down' : 'pi pi-chevron-right'"></button>
      </td>
      <td>{{ gameLog.averages.name }}</td>
      <td>{{ gameLog.averages.g }}</td>
      <td>{{ gameLog.averages.mp | number : '1.1-1'}}</td>
      <td>{{ gameLog.averages.pts | number : '1.1-1' }}</td>
      <td>{{ gameLog.averages.trb | number : '1.1-1' }}</td>
      <td>{{ gameLog.averages.drb | number : '1.1-1' }}</td>
      <td>{{ gameLog.averages.orb | number : '1.1-1' }}</td>
      <td>{{ gameLog.averages.ast | number : '1.1-1' }}</td>
      <td>{{ gameLog.averages.fg | number : '1.1-1' }}</td>
      <td>{{ gameLog.averages.fga | number : '1.1-1' }}</td>
      <td>{{ gameLog.averages.fg3 | number : '1.1-1' }}</td>
      <td>{{ gameLog.averages.fg3a | number : '1.1-1' }}</td>
      <td>{{ gameLog.averages.ft | number : '1.1-1' }}</td>
      <td>{{ gameLog.averages.fta | number : '1.1-1' }}</td>
    </tr>
  </ng-template>

  <ng-template pTemplate="rowexpansion" let-gameLog>
    <tr>
      <td colspan="16">
        <div class="p-3">
          <p-table [value]="gameLog.games" dataKey="id" 
          styleClass="p-datatable-sm" class="table-rowexpansion"
          dataKey="index"
          (onRowExpand)="onDateClick($event)"
          >
            <ng-template pTemplate="header">
    <tr>
      <!-- <th pSortableColumn="g">G
        <p-sortIcon field="g"></p-sortIcon>
      </th> -->
      <th>
        Player
      </th>
      <th>
        Date
      </th>
      <th>
        Opponent
      </th>
      <th> 
        Home Away
      </th>
      <th> 
        Start
      </th>
      <th pSortableColumn="mp">Mp
        <p-sortIcon field="mp"></p-sortIcon>
      </th>
      <th pSortableColumn="pts">Pts
        <p-sortIcon field="pts"></p-sortIcon>
      </th>
      <th pSortableColumn="trb">Trb
        <p-sortIcon field="trb"></p-sortIcon>
      </th>
      <th pSortableColumn="drb">Drb
        <p-sortIcon field="drb"></p-sortIcon>
      </th>
      <th pSortableColumn="orb">Orb
        <p-sortIcon field="orb"></p-sortIcon>
      </th>
      <th pSortableColumn="ast">Ast
        <p-sortIcon field="ast"></p-sortIcon>
      </th>
      <th pSortableColumn="fg">Fg
        <p-sortIcon field="fg"></p-sortIcon>
      </th>
      <th pSortableColumn="fga">Fga
        <p-sortIcon field="fga"></p-sortIcon>
      </th>
      <th pSortableColumn="fg3">Fg3
        <p-sortIcon field="fg3"></p-sortIcon>
      </th>
      <th pSortableColumn="fg3a">Fg3a
        <p-sortIcon field="fg3a"></p-sortIcon>
      </th>
      <th pSortableColumn="ft">Ft
        <p-sortIcon field="ft"></p-sortIcon>
      </th>
      <th pSortableColumn="fta">Fta
        <p-sortIcon field="fta"></p-sortIcon>
      </th>
    </tr>
  </ng-template>
  <ng-template pTemplate="body" let-game let-rowIndex="rowIndex" let-rowgroup="rowgroup" let-rowspan="rowspan">
    <tr>
      <!-- <td *ngIf="rowgroup" [attr.rowspan]="rowspan" style="vertical-align: baseline;">
        {{ game.playerId }}
      </td> -->
      <td style="border: unset;">{{ rowIndex === 0 ? game.playerId : '' }}</td>
      <!-- <td>{{ game.playerId }}</td> -->
      <td class="date-td" [pRowToggler]="game"><a>{{ game.date }}</a></td>
      <td>{{ game.opponent }}</td>
      <td>{{ game.home ? 'Home' : 'Away' }}</td>
      <td>{{ game.starter ? 'S' : '' }}</td>
      <td>{{ game.mp | number : '1.1-1'}}</td>
      <td>{{ game.pts | number : '1.1-1' }}</td>
      <td>{{ game.trb | number : '1.1-1' }}</td>
      <td>{{ game.drb | number : '1.1-1' }}</td>
      <td>{{ game.orb | number : '1.1-1' }}</td>
      <td>{{ game.ast | number : '1.1-1' }}</td>
      <td>{{ game.fg | number : '1.1-1' }}</td>
      <td>{{ game.fga | number : '1.1-1' }}</td>
      <td>{{ game.fg3 | number : '1.1-1' }}</td>
      <td>{{ game.fg3a | number : '1.1-1' }}</td>
      <td>{{ game.ft | number : '1.1-1' }}</td>
      <td>{{ game.fta | number : '1.1-1' }}</td>
    </tr>
  </ng-template>

  <ng-template pTemplate="rowexpansion">

    <tr>
      <td colspan="16">
        <app-game-details [gameDetails]="gameDetails"></app-game-details>
      </td>
    </tr>
  </ng-template>

  <ng-template pTemplate="emptymessage">
    <tr>
      <td colspan="6">There are no games for this player</td>
    </tr>
  </ng-template>
</p-table>
</div>
</td>
</tr>
</ng-template>

</p-table>